Parallels RAS Software Requirements

0 users found this article helpful

RAS Publishing Agent and RAS Secure Client Gateway

RAS Publishing Agent and RAS Secure Client Gateway are supported on the following operating systems:

 

Note: RAS Publishing Agent and RAS Secure Client Gateway should NOT be installed on a domain controller or any other machine where a DHCP server is running. This in general applies to any of the RAS components.

 

RAS Web Administration Service

This must be installed on the server where the RAS Publishing Agent is running.

Before installing RAS Web Admin Service, make sure that your Windows server has the following updates installed:

Newer versions of Windows Server do not require any specific updates.

 

RAS RD Session Host Agent

RAS RD Session Host Agent is supported on the following operating systems:

 

RAS VDI Agent

RAS VDI Agent is supported on the following operating systems:

VMware, Nutanix, and Citrix Hypervisor can use Windows-based RAS VDI agent either integrated into RAS Publishing Agent or installed separately on Windows Server 2012 R2 and Windows Server 2016.

RAS VDI Agent can also be installed as a virtual appliance (OVA or VMDK), which can be downloaded from the Parallels website. For installation instructions and requirements, please see the corresponding hypervisor documentation. See a list of supported hypervisors in KB 124707.

 

RAS Guest Agent

 

Remote PC Agent

 

Parallels RAS PowerShell

Windows Server 2008 with Service Pack 2 and newer. Windows Management Framework 3.0 and .NET Framework 4.5.2 must also be installed.

 

Parallels RAS Console

 

RAS HTML5 Gateway

 

Parallels Client

Parallels Client is approved for the following operating systems (both 32-bit and 64-bit systems are supported, where applicable):

Parallels Client for Linux supports the following Linux distributions (x64 versions only):

For a summary of the deprecated components, see KB 124706.

 

Was this article helpful?

Tell us how we can improve it.